aboutsummaryrefslogtreecommitdiffstats
path: root/gg_map/glouglou_localsniff.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gg_map/glouglou_localsniff.sh')
-rwxr-xr-xgg_map/glouglou_localsniff.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/gg_map/glouglou_localsniff.sh b/gg_map/glouglou_localsniff.sh
new file mode 100755
index 0000000..75d9cdd
--- /dev/null
+++ b/gg_map/glouglou_localsniff.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# Wrapper script to visualize network activity on local machine
+
+PATH="./:$PATH" # for pkg
+
+glougloud=`which glougloud`
+gg_sniff=`which gg_sniff`
+gg_map=`which gg_map`
+iface=${1-"eth0"}
+
+if [ -z "$glougloud" -o -z "$gg_sniff" -o -z "$gg_map" ]; then
+ echo "instalation incomplete (glougloud, gg_sniff, gg_map)"
+ exit 1
+fi
+
+tmux start \;\
+ new-session -d -s glouglou \;\
+ neww -n "glougloud" "sudo $glougloud -v; bash" \;\
+ neww -n "gg_sniff" "sudo $gg_sniff -v -i $iface" \;\
+ neww -n "gg_map" "gg_map" \;\
+ attach-session -t glouglou
+